Subject: Re: [PATCH] net/ipv4/arp.c: Use the exported hex_asc from lib/hexdump.c instead

From: Harvey Harrison <[email-masked]>
Date: Wed, 21 May 2008 17:37:44 -0700

On Wed, 2008-05-21 at 17:35 -0700, David Miller wrote:
> From: "rae l" <[email-masked]>
> Date: Wed, 21 May 2008 10:27:41 +0800
> 
> > net/ipv4/arp.c: Use common hex_asc helpers
> > 
> > Here the local hexbuf is a duplicate of global const char hex_asc from
> > lib/hexdump.c, except the hex letters' cases:
> > 
> > 	const char hexbuf[] = "0123456789ABCDEF";
> > 
> > 	const char hex_asc[] = "0123456789abcdef";
> > 
> > and here to print HW addresses, the hex cases are not significant.
> > 
> > Thanks to Harvey Harrison to introduce the hex_asc_hi/hex_asc_lo helpers.
> > 
> > Signed-off-by: Denis Cheng <[email-masked]>
> > Signed-off-by: Harvey Harrison <[email-masked]>
> 
> Applied, thanks.
> 
> Harvey I know you posted a nearly identical patch, I had
> to choose one and he did credit you with the idea for the
> updated patch, so I hope this is OK.

His had the better changelog, I just sent mine to make my point clear
what the patch could look like.

No problems here.

Harvey